cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/connection-string?database=SOME_STRING_VALUE&sql_user=SOME_STRING_VALUE&os=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connection_string": "<string>",
"params": {
"Database": "<string>",
"Host": "<string>",
"Port": "<string>",
"Username": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization, folder or cluster scope:
- ORG_ADMIN
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DEVELOPER
- FOLDER_ADMIN
- FOLDER_MOVER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
connection-string
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/connection-string?database=SOME_STRING_VALUE&sql_user=SOME_STRING_VALUE&os=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connection_string": "<string>",
"params": {
"Database": "<string>",
"Host": "<string>",
"Port": "<string>",
"Username": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
os indicates the target operating system, used with formatting the default SSL certificate path. Required only for dedicated clusters.
Available options:
MAC, LINUX, WINDOWS 
